Bug 124609 - oops while loading USB host controller during boot
oops while loading USB host controller during boot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 17:05 EDT by Tako Schotanus
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tako Schotanus 2004-05-27 17:05:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7b)
Gecko/20040421

Description of problem:
After upgrading from FC1 to FC2 the USB Host Controller won't load
anymore causing an Oops.

The boot will continue after this but it will hang later on while
running kudzu, no message and the system is not dead (will react to
CTRL+ALT+DEL) but will not continue at all.

After logging in in single user mode and disabling kudzu a reboot will
continue past this point but will hang later on while bringing up the
network interfaces, again no message and the system is not dead.

Again in single user mode removed:

 alias usb-controller usb-uhci

from modprobe.conf and after that everything works fine.

Waiting until the system has booted completely and typing

 modprobe usb-uhci

in a console the system log shows that the usb stuuf loads correctly.

So it seems somehow to only happen while booting.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
No need for steps, it happens at every boot.

Like I said in the Desciption above I can now actually boot by
disabling the usb stuff from loading. To reproduce the above behaviour
I only need to re-enable the alias line for the usb-controller in the
modprobe.conf.

Actual Results:  System hangs while either trying to run kudzu or
while trying to bring up the network interfaces (all of this worked in
FC1).

Additional info:

The relevant part of the dmesg log:

USB Universal Host Controller Interface driver v2.2
Unable to handle kernel paging request at virtual address 128abd98
 printing eip:
0218ee19
*pde = 0ff1e067
Oops: 0002 [#1]
CPU:    0
EIP:    0060:[<0218ee19>]    Not tainted
EFLAGS: 00010216   (2.6.5-1.358) 
EIP is at kobject_add+0x7c/0xd0
eax: 022d15c0   ebx: 022d1564   ecx: 128abd98   edx: 12870958
esi: 022d15ac   edi: 1287093c   ebp: 022d15c8   esp: 109faf48
ds: 007b   es: 007b   ss: 0068
Process modprobe (pid: 488, threadinfo=109fa000 task=10e6d330)
Stack: 1287093c ffffffea 12870924 00000000 0218ee86 1287093c 022d1560
021d978f 
       1287093c 1286e904 12870900 00000000 12870998 109fa000 021d9ab3
00000028 
       00000000 fffffff4 022c997c 021966b9 00000000 00000000 022c997c
12833094 
Call Trace:
 [<0218ee86>] kobject_register+0x19/0x39
 [<021d978f>] bus_add_driver+0x2e/0x81
 [<021d9ab3>] driver_register+0x28/0x2c
 [<021966b9>] pci_register_driver+0x4b/0x66
 [<12833094>] uhci_hcd_init+0x94/0xdd [uhci_hcd]
 [<02127eac>] sys_init_module+0xe7/0x1bd

Code: 89 11 89 4a 04 8b 47 28 8b 18 8d 4b 48 89 c8 ba ff ff 00 00
Comment 1 Dave Jones 2005-04-16 00:15:27 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 2 quintesse 2005-04-17 21:06:34 EDT
Thanks, but I don't think I'll try installing an FC1 and upgrade to FC3 for the
fun of it ;-)

Note You need to log in before you can comment on or make changes to this bug.